Subject: Error compiling CYGWIN: path.h:89: `INVALID_FILE_ATTRIBUTES'
From: "Steve Howe" <[email-masked]>
To: [email-masked]
Date: Tue, 9 Apr 2002 15:54:13 -0300
Newsgroups: gmane.os.cygwin

I've been trying to compile the latest cygwin, but I couldn't. I even tried
using the CVS version, but it didn't work too.
These is the error messages. Any clues ?

Best Regards,
Steve Howe

-------------------------------
howe@ANGLA ~/cygwin-1.3.10-1/winsup/cygwin
$ make
g++ -c -gstabs+ -O2 -MMD -fbuiltin ... cygheap.cc
In file included from cygheap.cc:17:
fhandler.h: In method `select_stuff::select_stuff()':
fhandler.h:1086: implicit declaration of function `int memset(...)'
In file included from cygheap.cc:18:
path.h: In method `bool path_conv::exists() const':
path.h:89: `INVALID_FILE_ATTRIBUTES' undeclared (first use this function)
path.h:89: (Each undeclared identifier is reported only once
path.h:89: for each function it appears in.)
path.h:89: warning: control reaches end of non-void function
`path_conv::exists(
) const'
make: *** [cygheap.o] Error 1

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/